import { put, call } from "redux-saga/effects";
import * as actions from './../../../actions/auth/users/users'
import axios from 'axios';



export default function* ({ payload: requestBody }) {
    try {
        // console.log('received request body from sign-in worker saga', requestBody);
        const payload = yield call(() =>
            axios.get(`https://quiz.maxcrc.de/api/v1/user`)
                .then(({ data }) => data)
        );
        // console.log("Payload", payload);
        yield put(actions.usersGetRequestSucces(payload));
    }
    catch ({ message }) {
        yield put(actions.usersGetRequestFailure(message))
    }
}