import { put, call } from "redux-saga/effects";
import * as actions from './../../../actions/auth/signUp'
import axios from 'axios';

import { SIGN_UP_URL } from '../../../constants'

// worker-saga for signing up

export default function* ({ payload: requestBody }) {
    try {
        const payload = yield call(() => 
        axios.post(`https://quiz.maxcrc.de/api/v1/user`, {
            ...requestBody
        })
            .then(({ data }) => data)

    );
        yield put(actions.signUpRequestSucces(payload));
    }
    catch (exception) {
        yield put(actions.signUpRequestFailure(exception.message))
    }
}